%define name            catchxsl
%define Name            catchXSL!
%define version         1.2.1
%define release         1jpp
%define Summary         XSL profiling tool
%define javadir         %{_datadir}/java
%define section         free
# These are needed in order to build successfully on non-Mandrake systems.
%{!?_menudir:           %define _menudir   %{_libdir}/menu}
%{!?_miconsdir:         %define _miconsdir %{_datadir}/icons/mini}
%{!?_iconsdir:          %define _iconsdir  %{_datadir}/icons}
%{!?_liconsdir:         %define _liconsdir %{_datadir}/icons/large}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        %{Summary}
License:        catchXSL! Software License
URL:            http://www.xslprofiler.org/
Group:          Development
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.xslprofiler.org/download/catchXSL%{version}.zip
Source1:        %{name}.catchxsl.script
Source2:        %{name}.catchxsl-cmdline.script
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       jpackage-utils
Requires:       xalan-j2
Requires:       saxon
Requires:       jaxp_parser_impl
BuildArch:      noarch

%description
catchXSL! is a free XSLT profiler based on Java.  It traces your XSLT
transformations and lists each individual style instruction. The XSLT
developer now gets useful hints on how to improve performance of a
transformation.

%package themes
Summary:        UI themes for %{name}
Group:          Development
Requires:       %{name} = %{version}-%{release}

%description themes
UI themes for %{name}.

%package demo
Summary:        Demonstrations and samples for %{name}
Group:          Development
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%package mdkmenu
Summary:	Mandrake menu entry for %{name}
Group:		Development
Requires:	%{name} = %{version}-%{release}

%description mdkmenu
This is a Mandrake menu system entry for %{name}.

%package rhmenu
Summary:	Red Hat menu entry for %{name}
Group:		Development
Requires:	%{name} = %{version}-%{release}

%description rhmenu
This is a Red Hat menu entry for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n catchXSL

%build

%install
# jars
install -D -m 644 lib/catchXSL.jar \
        $RPM_BUILD_ROOT%{javadir}/%{name}/catchXSL-%{version}.jar
install -D -m 644 lib/AbsoluteLayout.jar \
        $RPM_BUILD_ROOT%{javadir}/%{name}/AbsoluteLayout-%{version}.jar
install -D -m 644 lib/skinlf.jar \
        $RPM_BUILD_ROOT%{javadir}/%{name}/skinlf-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# the timeofday lib is skipped for now
#install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
#install -m 755 lib/linux_x86/* $RPM_BUILD_ROOT%{_libdir}/
# themes
cp -pr lib/themes $RPM_BUILD_ROOT%{javadir}/%{name}/
# scripts
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}-cmdline
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr samples $RPM_BUILD_ROOT%{_datadir}/%{name}/
# result css
install -m 644 result.css $RPM_BUILD_ROOT%{_datadir}/%{name}/

# mdk menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
command="%{_bindir}/%{name}"\\
needs="X11"\\
section="Applications/Development/Development environments"\\
title="%{Name}" \
longtitle="%{Summary}"
EOF
# rh menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development
cat >$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{Name}
Comment=%{Summary}
Comment[fi]=XSL-profilointitykalu
Exec=%{_bindir}/%{name}
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post mdkmenu
%update_menus
 
%postun mdkmenu
%clean_menus

%files
%defattr(-,root,root,-)
%doc docs/*
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/result.css
%dir %{javadir}/%{name}
%{javadir}/%{name}/[Ac]*.jar

%files themes
%defattr(-,root,root,-)
%{javadir}/%{name}/skinlf*.jar
%{javadir}/%{name}/themes

%files demo
%defattr(-,root,root,-)
%{_datadir}/%{name}/samples

%files mdkmenu
%defattr(-,root,root,-)
%{_menudir}/*

%files rhmenu
%defattr(-,root,root,-)
%{_sysconfdir}/X11/applnk/Development/*

%changelog
* Thu Aug  1 2002 Ville Skytt <ville.skytta at iki.fi> 1.2.1-1jpp
- Update to 1.2.1.

* Fri Jul 19 2002 Ville Skytt <ville.skytta at iki.fi> 1.2-1jpp
- First JPackage release.
